Bug 463013 - Wordtrans package includes the manual page, but not the command
Wordtrans package includes the manual page, but not the command
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wordtrans (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 15:12 EDT by Göran Uddeborg
Modified: 2009-03-24 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 09:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2008-09-20 15:12:24 EDT
Description of problem:
The wordtrans package contains a manual page for a command "wordtrans".  But the command it describes is not part of the package.

Version-Release number of selected component (if applicable):
wordtrans-1.1-0.5.pre13.fc9

Additional info:
I took a quick look in the SPEC file.  It appears the /usr/bin/wordtrans binary is removed unless build_qt is true.  And build_qt is set to 0 in the beginning.

I'm not sure why the plain wordtrans needs to be removed if the QT version isn't built.  But it looks intentional, so I guess there is a reason.  If there is, I suggest the manual page is removed too, so it doesn't tease us with a command we don't have.  (If it would be possible to ship the wordtrans binary with the package, that would of course be even better.)
Comment 1 Christopher Beland 2009-01-16 02:52:39 EST
This is still a problem in wordtrans-1.1-0.6.pre13.fc10.x86_64.
Comment 2 Ngo Than 2009-03-24 09:56:51 EDT
it's fixed wordtrans-1_1-0_8_pre13_fc11, rawhide.

Note You need to log in before you can comment on or make changes to this bug.